STRUCT USB_CLASS_DRI(9)

NAME
struct_usb_class_driver - identifies a USB driver that wants to use the USB major number

SYNOPSIS

struct usb_class_driver {
  char * name;
  char *(* devnode) (struct device *dev, umode_t *mode);
  const struct file_operations * fops;
  int minor_base;
};

MEMBERS

name
    the usb class device name for this driver. Will show up in sysfs.

devnode
    Callback to provide a naming hint for a possible device node to create.

fops
    pointer to the struct file_operations of this driver.

minor_base
    the start of the minor range for this driver.

DESCRIPTION

This structure is used for the usb_register_dev and usb_unregister_dev functions, to consolidate a number of the parameters used for them.

COPYRIGHT